Package Details: fedora-firefox-wayland-bin 87.0-2

Git Clone URL: https://aur.archlinux.org/fedora-firefox-wayland-bin.git (read-only, click to copy)
Package Base: fedora-firefox-wayland-bin
Description: Fedora's firefox build with wayland enabled by default
Upstream URL: https://www.mozilla.org/firefox/
Keywords: browser web
Licenses: GPL, MPL, LGPL
Conflicts: firefox, libffi=3.1, libffi=3.2
Provides: firefox=87.0, libffi=3.1
Submitter: sigmacold
Maintainer: wlion
Last Packager: wlion
Votes: 18
Popularity: 0.32
First Submitted: 2018-11-11 09:53
Last Updated: 2021-03-27 17:23

Dependencies (20)

Required by (396)

Sources (2)

Pinned Comments

sigmacold commented on 2018-11-11 09:55

Issues:

1- this IPDL protocol Error: Received an invalid file descriptor will spam journal consider using a wrapper over firefox firefox > /dev/null 2>&1

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Trinket commented on 2020-04-14 16:07

Getting error on launch:

XPCOMGlueLoad error for file /usr/lib/firefox/libxul.so:
libffi.so.6: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

I guess arch library is different version than fedora?

ciupenhauer commented on 2020-03-16 21:19

does copy/paste work for you on this build? cannot copy from FF to outside

danshick commented on 2020-03-16 18:47

I think you now need a dependency on libpipewire02 to get the right libs. Luckily, pipewire 0.3 is backwards compatible with libpipewire02 consumers.

I've tested this and it is working.

tinxy commented on 2019-11-20 17:16

I suppose Fedora packages are somehow signed. Do you see it possible to check that signature during the build process?

andrej commented on 2019-11-18 14:54

This looks outdated with respect to the .*i18n.* packages. They require firefox>=70.0.1, so 70.0 is not recent enough. :-(

erickssb commented on 2019-04-26 01:58

There appears to be some flickering when trying to access floating menus, like that when you right click for options, or click the hamburger icon in the top right.

Running: fedora-firefox-wayland-bin 66.0.3-1 System: 5.0.9-arch1-1-ARCH

wlion commented on 2019-04-11 20:10

I'm going to maintain this package for now, since the firefox from the official repository does not work for me on wayland.

sigmacold commented on 2019-03-30 19:46

I'm abandoning this package now that official firefox build supports wayland, to activate wayland backend use env MOZ_ENABLE_WAYLAND=1, for example you can add it to your profile: /etc/profile.d/wayland-fox.sh with content: export MOZ_ENABLE_WAYLAND=1

teoulas commented on 2019-03-22 09:11

Not related to packaging, but seems like version 66 is buggier than 65. I cannot even open the developer tools now and 1password X does not show 9 out of 10 times. I have switched to the official build for now.

sigmacold commented on 2019-03-15 16:07

Ok